Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# IFR_Service Class Reference

`#include <IFR_Service.h>`

List of all members.

## Public Methods
| IFR_Service (void)
| ~IFR_Service (void)
int | init (int argc, char *argv[] ACE_ENV_ARG_DECL_WITH_DEFAULTS)
int | fini (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
int | run (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Protected Attributes
CORBA::ORB_var | orb_
PortableServer::POA_var | root_poa_
TAO_IFR_Server | my_ifr_server_

## Constructor & Destructor Documentation

IFR_Service::IFR_Service | ( | void |  | ) |

IFR_Service::~IFR_Service | ( | void |  | ) |

## Member Function Documentation

int IFR_Service::fini | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

int IFR_Service::init | ( | int | argc,
|  | char *argv | ACE_ENV_ARG_DECL_WITH_DEFAULTS[]
| ) |

int IFR_Service::run | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

## Member Data Documentation

TAO_IFR_Server IFR_Service::my_ifr_server_`[protected]`

CORBA::ORB_var IFR_Service::orb_`[protected]`

PortableServer::POA_var IFR_Service::root_poa_`[protected]`

The documentation for this class was generated from the following files:

- IFR_Service.h
- IFR_Service.cpp